{if $configuration->icon}
<a id="{$id . '-modal'}" data-dest="{link upload!}" data-toggle="uploader" data-attached='{"directory_id":{$directoryId}}'
   title="{$configuration->title}" data-title="{$configuration->title}"
   data-close="{$configuration->close}" style="cursor: pointer"><i class="{$configuration->class}"/>
</a>
{else}
<button class="btn {$configuration->class}" id="{$id . '-modal'}" data-dest="{link upload!}" data-toggle="uploader"
    data-attached='{"directory_id":{$directoryId}}' data-title="{$configuration->title}"
    data-close="{$configuration->close}">{$configuration->title}
</button>
{/if}